imports:
    - { resource: parameters.yml }
    - { resource: security.yml }
    - { resource: services.yml }

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    locale: en
    twilio_sid: 'ACadb8a702f1aa4f0282e51041754bdc39'
    twilio_token: '5b1150fee3787b0ef77d196bed75f93b'
    twilio_number: 'whatsapp:+14155238886'
    sendgridAPI: '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'

    wablaToken: 'fCcgUwOBVnUKebDgP19mHGnKKo9BV0hDvMEjQB78mwfEBxBlp0dcbjk2Hf2WthMV'
    whatsapp-api-key: 'DKJFI-2J44-KDKJ34-848DI-OPTI-HEXA-2019'

    mensajeBienvenidaWhatsappOpticentro: 'Le damos la bienvenida a Opticentro. Será un gusto poder atenderle.'
    numeroOpticentro: +591

    #EMPRESA PARA SITIO CLIENTES
    empresaSitioClientes: 'OPTICENTRO'

    #PARA LOS PAGOS EN LINEA:
    idCobrador: '306537'
    tokenCobrador: '77ed33339b41c57cc5c776969ea93c5abca4af78'
framework:
    #esi: ~
    #translator: { fallbacks: ['%locale%'] }
    secret: '%secret%'
    router:
        resource: '%kernel.project_dir%/app/config/routing.yml'
        strict_requirements: ~
    form: ~
    csrf_protection: ~
    validation: { enable_annotations: true }
    serializer: { enable_annotations: true }
    default_locale: '%locale%'
    trusted_hosts: ~
    session:
        cookie_lifetime: 0
        # https://symfony.com/doc/current/reference/configuration/framework.html#handler-id
        handler_id: session.handler.native_file
        save_path: '%kernel.project_dir%/var/sessions/%kernel.environment%'
    fragments: ~
    http_method_override: true
    assets: ~
    php_errors:
        log: true

# Twig Configuration
twig:
    debug: '%kernel.debug%'
    strict_variables: '%kernel.debug%'

# Doctrine Configuration
doctrine:
    dbal:
        driver: pdo_mysql
        host: '%database_host%'
        port: '%database_port%'
        dbname: '%database_name%'
        user: '%database_user%'
        password: '%database_password%'
        charset: UTF8
        # if using pdo_sqlite as your database driver:
        #   1. add the path in parameters.yml
        #     e.g. database_path: '%kernel.project_dir%/var/data/data.sqlite'
        #   2. Uncomment database_path in parameters.yml.dist
        #   3. Uncomment next line:
        #path: '%database_path%'

    orm:
        auto_generate_proxy_classes: '%kernel.debug%'
        naming_strategy: doctrine.orm.naming_strategy.underscore
        auto_mapping: true

# Swiftmailer Configuration
swiftmailer:
    transport: '%mailer_transport%'
    host: '%mailer_host%'
    username: '%mailer_user%'
    password: '%mailer_password%'
    spool: { type: memory }

#MongoDB
doctrine_mongodb:
    #auto_generate_hydrator_classes: true
    connections:
        default:
            #server: "%mongodb_server%"
            server: "mongodb://localhost:27017"
            options:
                username: hexagone
                password: y3sqt9h3
                authSource: admin
    default_database: "odonto"
    document_managers:
        default:
            auto_mapping: true

#WYSISWG
ivory_ck_editor:
    configs:
        my_config:
            language: es

kreait_firebase:
    projects:
        # You can access your firebase project with
        # $container->get('kreait_firebase.first')
        first:
            # Optional: If set to false, the service and its alias
            # can only be used via dependency injection
            public: true
            # Optional: If set to true, this project is used when
            # using Kreait\Firebase as a type hint for dependency injection
            default: false
            # Optional: Path to the projects Service Account credentials file
            # If omitted, the library will try to discover it.
            credentials: '%kernel.project_dir%/config/service_account_credentials.json'
            # You can find the database URI at
            # https://console.firebase.google.com/project/first/database/data
            database_uri: 'https://opticentro.firebaseio.com/'
            # Optional: If set, you can access your project with
            # $container->get('firebase')
            alias: 'firebase'
            #second: # $container->get('kreait_firebase.second')
            # database_uri: 'https://second.firebaseio.com'
        #third: # $container->get('kreait_firebase.third')
